低危 Memcached up to 1.5.13 lru memcached.c process_lru_command Messages 拒绝服务漏洞

CVE编号

CVE-2019-11596

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-04-30
漏洞描述
在1.5.14之前的memcached中,在“lru模式”和“lru temp_ttl”命令中找到了NULL指针解除引用。在memcached.c中的process_lru_command中解析精心设计的lru命令消息时,这会导致拒绝服务。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 memcached memcached * Up to
(excluding)
1.5.14
运行在以下环境
系统 centos_8 memcached * Up to
(excluding)
1.5.9-3.el8
运行在以下环境
系统 fedora_29 memcached * Up to
(excluding)
1.5.14-1.fc29
运行在以下环境
系统 fedora_30 memcached * Up to
(excluding)
1.5.14-1.fc30
运行在以下环境
系统 opensuse_Leap_15.1 memcached * Up to
(excluding)
1.5.6-lp151.4.3.1
运行在以下环境
系统 oracle_8 memcached * Up to
(excluding)
1.5.9-3.el8
运行在以下环境
系统 redhat_8 memcached * Up to
(excluding)
1.5.9-3.el8
运行在以下环境
系统 suse_12 memcached * Up to
(excluding)
1.4.39-4.11
运行在以下环境
系统 suse_12_SP4 memcached * Up to
(excluding)
1.4.39-4.11.2
运行在以下环境
系统 suse_12_SP5 memcached * Up to
(excluding)
1.4.39-4.11.2
运行在以下环境
系统 ubuntu_18.04 memcached * Up to
(excluding)
1.5.6-0ubuntu1.1
运行在以下环境
系统 ubuntu_18.04.5_lts memcached * Up to
(excluding)
1.5.6-0ubuntu1.1
运行在以下环境
系统 ubuntu_18.10 memcached * Up to
(excluding)
1.5.10-0ubuntu1.18.10.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况